<template>
	<view class="content-box">
		<uni-nav-bar fixed="true" statusBar="true" left-icon="back" :title="title" background-color="#F7F9FA"
			color="#000" @clickLeft="back" right-icon="scan" @clickRight="HandlScanCode">
		</uni-nav-bar>

		<view class="list_box">
			<u-list @scrolltolower="scrolltolower">

				<view class="card_box">
					<workOrderBom :item='objData' v-if='objData' @handleScan='handleScan'></workOrderBom>


					<sampleBom :item='objData.quality' v-if='objData.quality' :workReportInfo='objData.workReportInfo'
						:isDetails='true'></sampleBom>




				</view>

			</u-list>
		</view>


		<view class="bottom-wrapper">
			<view class="btn_box" @click="save">一键报工</view>
		</view>




	</view>
</template>

<script>
	import {
		getByIdReport,

		jobSave
	} from '@/api/pda/jobBooking.js'


	import sampleBom from '../components/sampleBom.vue'
	import workOrderBom from '../../feeding/components/workOrderBom.vue'



	export default {

		components: {
			workOrderBom,
			sampleBom

		},
		data() {
			return {
				title: '',
				objData: {},
				id: null,
				taskId: null,

			}
		},
		onLoad(options) {
			this.title = options.taskName ? options.taskName + '-报工' : '报工'
			this.id = options.workOrderId
			this.taskId = options.taskId
			this.getList()
		},

		onShow() {


		},

		methods: {




			getList() {
				getByIdReport(this.id, this.taskId).then(res => {

					res.workReportInfo = {
						formedNum: null,
						taskId: this.taskId,
						reportType: 2,

						formingNum: res.formingNum,
						formingWeight: res.formingWeight,
						formedWeight: res.formedWeight,

					}
					this.objData = res





					if (this.objData.quality && this.objData.quality.sampleList.length > 0) {

						let jianCount = 0

						this.objData.quality.sampleList.forEach(e => {

							if (e.selectType == 2) {
								jianCount = jianCount + Number(e.num)
							}

						})

						this.objData.workReportInfo.formedNum = res.formedNumLast - jianCount

					}



				})
			},

			scrolltolower() {},




			save() {


				if (Number(this.objData.workReportInfo.formedNum) <= 0 || this.objData.workReportInfo.formedNum == null) {
					uni.showToast({
						icon: 'none',
						title: '请输入合格数量'
					})

					return false
				}



				jobSave(this.objData).then(res => {
					uni.navigateBack()
				})



			}
		}
	}
</script>

<style lang="scss" scoped>
	.content-box {
		height: 100vh;
		overflow: hidden;
		display: flex;
		flex-direction: column;

	}

	.list_box {
		flex: 1;
		overflow: hidden;
		padding: 4rpx 0;

		.u-list {
			height: 100% !important;
		}

		.card_box {
	padding: 16rpx;
		}



	}

	.bottom-wrapper {
		.btn_box {
			width: 750rpx;
			height: 88rpx;
			line-height: 88rpx;
			background: $theme-color;
			text-align: center;
			font-size: 36rpx;
			font-style: normal;
			font-weight: 400;
			color: #fff;
		}
	}




	.search_list {
		min-height: 500rpx;
		padding: 0 32rpx;
	}
</style>